Boarding Location

This method involves a POST request to retrieve the departure location provided by Klikoo’s B2B.


A. Request Header

FieldFormatMandatoryLengthExample
Content-TypestringYapplication/json
Open-Api-Timestampyyyy-mm-dd'T'hh:mm:ss+07:00Y2024-02-07T10:28:35.000+07:0
Open-Api-SignatureDigital SignatureY88vNMoAmiDRV+paVyD5FaidgI5k
Ry2pCo8oEoQN/GBpIPuO3eicY
63b7xY0WDffScvkOZsZ1442ewa
bI7Wzd22pw==

B. Request Body

FieldTypeDescriptionRequiredExample
product_codestringUnique identifier for the producttrue"BUS"
keywordstringKeyword for find the departure locationfalse"Jak"

C. Sample Request

{
  "product_code": "BUS",
  "keyword": "jakarta"
}

D. Response Body

FieldTypeDescriptionExample
response_codestringContains the OpenAPI response code“201022001”
response_messagestringContains the value of OpenAPI response message“Berhasil dibuat”
data objectAn object containing the main data for the boarding location info
citiesarray of objectsAn array of objects representing cities
idintThe value of the current page in the paginated result set“20613653-98eb-4106
-88b5-f86b46560134”
namestringThe value of the previous page in the paginated result set (if any)“SUCCESS”
addressstringThe value of the next page in the paginated result set (if any)“123242432333132”
typestringThe type of location departure
terminalsarray of objectsAn arrays of object representing terminals from departure point
idintThe ID of the terminal1102384
namestringThe name of the terminal or departure name“Terminal Lebak Bulus”
addressstringThe terminal address or location of departure“Lebak Bulus”
typestringThe type of departure“LOCATION”

E. Sample Response

{
    "response_code": "201022001",
    "response_message": "Berhasil dibuat",
    "data": {
        "cities": [
            {
                "id": 132,
                "name": "Jakarta",
                "address": "Semua terminal / titik keberangkatan di Jakarta",
                "type": "CITY"
            }
        ],
        "terminals": [
            {
                "id": 1102384,
                "name": "Terminal Lebak Bulus",
                "address": "Lebak bulus",
                "type": "LOCATION"
            }
        ]
    }
}

Try It Here (Form)

To try the following endpoint, enter the example request data you want to use in the following form


Body Params
string
string
Headers
date-time
string
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json